File Conflicts Detected

VargaPeterVargaPeter Established Member
I upgraded a SLES 12.5 VM to SLES 15.1 using the offline mode. While the upgrade process I used Basesystem-Module in order to get the basesystem installed.

Now, when I run the online update in yast I receive this message:
File Conflicts Detected                                             
File conflicts happen when two packages attempt to install          
files with the same name but different contents. If you continue    
the conflicting files will be replaced, losing the previous content.

File /etc/uefi/certs/91A3B0B5.crt                                 
  from install of                                                 
     kernel-default-4.12.14-197.34.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
  conflicts with file from package                                
     kernel-default-4.12.14-122.17.1.x86_64 (@System)             
                                                                  
File /usr/bin/erb                                                 
  from install of                                                 
     ruby2.5-2.5.7-4.8.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
  conflicts with file from package                                
     ruby2.1-2.1.9-18.1.x86_64 (@System)                          

and others.

Is it OK to Continue and will it disappear the next time? Is there a way to avoid it, e.q. some option while the upgrade process?

Comments

  • malcolmlewismalcolmlewis Knowledge Partner
    I upgraded a SLES 12.5 VM to SLES 15.1 using the offline mode. While the upgrade process I used Basesystem-Module in order to get the basesystem installed.

    Now, when I run the online update in yast I receive this message:
    File Conflicts Detected                                             
    File conflicts happen when two packages attempt to install          
    files with the same name but different contents. If you continue    
    the conflicting files will be replaced, losing the previous content.
    
    File /etc/uefi/certs/91A3B0B5.crt                                 
      from install of                                                 
         kernel-default-4.12.14-197.34.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package                                
         kernel-default-4.12.14-122.17.1.x86_64 (@System)             
                                                                      
    File /usr/bin/erb                                                 
      from install of                                                 
         ruby2.5-2.5.7-4.8.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package                                
         ruby2.1-2.1.9-18.1.x86_64 (@System)                          
    

    and others.

    Is it OK to Continue and will it disappear the next time? Is there a way to avoid it, e.q. some option while the upgrade process?
    Hi
    Yes, since they are @System, let them overwrite and clean up... Even if you setup the iso as a local repository you will probably still see, as long as it's a later package, all should be good.
  • VargaPeterVargaPeter Established Member
    Thank you, I understand.
  • VargaPeterVargaPeter Established Member
    Hi
    Yes, since they are @System, let them overwrite and clean up... Even if you setup the iso as a local repository you will probably still see, as long as it's a later package, all should be good.

    I got now this new message while I wanted to run in YAST the online update.
    Can you please advice what should I do? I have seven SLES 15.1 VM and only 1 shows this message. What happened? Thank you!

    patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch conflicts with kernel-source.noarch < 4.12.14-197.34.1 provided by kernel-source-4.12.14-197.29.1.noarch

    These are the possible solutions:
    a)
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-836-1.noarch

    b)
    deinstallation of kernel-source-4.12.14-197.29.1.noarch
  • malcolmlewismalcolmlewis Knowledge Partner
    I got now this new message while I wanted to run in YAST the online update.
    Can you please advice what should I do? I have seven SLES 15.1 VM and only 1 shows this message. What happened? Thank you!

    patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch conflicts with kernel-source.noarch < 4.12.14-197.34.1 provided by kernel-source-4.12.14-197.29.1.noarch

    These are the possible solutions:
    a)
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-836-1.noarch

    b)
    deinstallation of kernel-source-4.12.14-197.29.1.noarch
    Hi
    That would be option b since your updating and I imagine it's updating the kernel and sources with those patches. I wonder if it's something with YaST and updating rather than using zypper from the command line...?
  • VargaPeterVargaPeter Established Member
    Hi
    That would be option b since your updating and I imagine it's updating the kernel and sources with those patches. I wonder if it's something with YaST and updating rather than using zypper from the command line...?

    I ran the update using zypper and now I got these message:

    File /sbin/unix2_chkpwd
    from install of
    pam-1.3.0-6.16.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
    conflicts with file from package
    pam-modules-12.1-23.12.x86_64 (@System)

    File /usr/share/man/man8/unix2_chkpwd.8.gz
    from install of
    pam-1.3.0-6.16.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
    conflicts with file from package
    pam-modules-12.1-23.12.x86_64 (@System)

    File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
    Continue? [yes/no] (no):


    As it is very similar to the first question in this thread I selected yes

    So it looks like - as you suspected - it's something with YaST.
  • VargaPeterVargaPeter Established Member
    Oh, now, after the reboot when I run YaST the message appears again.

    patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch conflicts with kernel-source.noarch < 4.12.14-197.34.1 provided by kernel-source-4.12.14-197.29.1.noarch

    These are the possible solutions:
    a)
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-836-1.noarch

    b)
    deinstallation of kernel-source-4.12.14-197.29.1.noarch
  • malcolmlewismalcolmlewis Knowledge Partner
    Oh, now, after the reboot when I run YaST the message appears again.

    patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch conflicts with kernel-source.noarch < 4.12.14-197.34.1 provided by kernel-source-4.12.14-197.29.1.noarch

    These are the possible solutions:
    a)
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-560-1.noarch
    do not install patch:SUSE-SLE-Module-Basesystem-15-SP1-2020-836-1.noarch

    b)
    deinstallation of kernel-source-4.12.14-197.29.1.noarch
    Hi
    What is the kernel version in use, force a refresh and see what patches are needed?
    uname -a
    zypper ref -f
    zypper up -t patch
    

    Can you also check what the patch information is about?
    zypper if -t patch <patch_number_or_name>
    

    I don't have a SLE 12 SP5 system here....
  • VargaPeterVargaPeter Established Member
    Hi
    What is the kernel version in use, force a refresh and see what patches are needed?
    uname -a
    zypper ref -f
    zypper up -t patch
    

    Can you also check what the patch information is about?
    zypper if -t patch <patch_number_or_name>
    

    I don't have a SLE 12 SP5 system here....


    I am sorry for the misunderstanding. I was never talking I am running it on a SLES 12.5 - I was talking about the fact I upgraded SLES 12.5 to 15.1 and therefore 15.1 is the system I have.

    Below the results for your question. Also, another 8 new conflicts appear. I don't know but it looks like SUSE has an issue in their repositories. Should I continue as asked at the end?
    2020-04-15 14:55:29 root@AAEB-DEV203LD:~ => uname -a
    Linux AAEB-DEV203LD 4.12.14-197.37-default #1 SMP Fri Mar 20 14:56:51 UTC 2020 (e98f980) x86_64 x86_64 x86_64 GNU/Linux
    2020-04-15 14:55:33 root@AAEB-DEV203LD:~ => zypper ref -f
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-basesystem' metadata .....[done]
    Forcing building of repository cache
    Building repository 'sle-module-basesystem' cache ..........[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Pool' metadata .................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Basesystem15-SP1-Pool' cache ......................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Updates' metadata ..............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Basesystem15-SP1-Updates' cache ...................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-desktop-applications' metadata ..................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-desktop-applications' cache [done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-development-tools' metadata .....................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-development-tools' cache ...[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Public-Cloud15-SP1-Pool' metadata ...............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Public-Cloud15-SP1-Pool' cache ....................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Public-Cloud15-SP1-Updates' metadata ............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Public-Cloud15-SP1-Updates' cache .................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Product-SLES15-SP1-Pool' metadata ......................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Product-SLES15-SP1-Pool' cache ....[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Product-SLES15-SP1-Updates' metadata ...................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Product-SLES15-SP1-Updates' cache .[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Packagehub-Subpackages15-SP1-Pool' metadata .....................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Packagehub-Subpackages15-SP1-Pool' cache ..........................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Packagehub-Subpackages15-SP1-Updates' metadata ..................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Packagehub-Subpackages15-SP1-Updates' cache .......................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SUSE-PackageHub-15-SP1-Backports-Pool' metadata ............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SUSE-PackageHub-15-SP1-Backports-Pool' cache .................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SUSE-PackageHub-15-SP1-Pool' metadata ......................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SUSE-PackageHub-15-SP1-Pool' cache ....[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-server-applications' metadata ...................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-server-applications' cache .[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Pool' metadata ........................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Server-Applications15-SP1-Pool' cache .............................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Updates' metadata .....................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Server-Applications15-SP1-Updates' cache ..........................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-web-scripting' metadata ..[done]
    Forcing building of repository cache
    Building repository 'sle-module-web-scripting' cache .......[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL Connectors Community' metadata [done]
    Forcing building of repository cache
    Building repository 'MySQL Connectors Community' cache .....[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL Tools Community' metadata .....[done]
    Forcing building of repository cache
    Building repository 'MySQL Tools Community' cache ..........[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL 8.0 Community Server' metadata [done]
    Forcing building of repository cache
    Building repository 'MySQL 8.0 Community Server' cache .....[done]
    All repositories have been refreshed.
    2020-04-15 14:55:56 root@AAEB-DEV203LD:~ => zypper up -t patch
    Refreshing service 'Basesystem_Module_15_SP1_x86_64'.
    Refreshing service 'Public_Cloud_Module_15_SP1_x86_64'.
    Refreshing service 'SUSE_Linux_Enterprise_Server_15_SP1_x86_64'.
    Refreshing service 'SUSE_Package_Hub_15_SP1_x86_64'.
    Refreshing service 'Server_Applications_Module_15_SP1_x86_64'.
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following NEW patch is going to be installed:
      SUSE-SLE-Module-Basesystem-15-SP1-2020-995
    
    The following 3 packages are going to be upgraded:
      libruby2_5-2_5 ruby2.5 ruby2.5-stdlib
    
    3 packages to upgrade.
    Overall download size: 4.1 MiB. Already cached: 0 B. After the operation, additional 19.9 KiB will be used.
    Continue? [y/n/v/...? shows all options] (y): y
    Retrieving package libruby2_5-2_5-2.5.8-4.11.1.x86_64                                                                                                                                                                                      (1/3), 939.0 KiB (  2.7 MiB unpacked)
    Retrieving delta: ./x86_64/libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 76.7 KiB
    Retrieving: libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...................................................................................................[done]
    Applying delta: ./libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm .............................................................................................[done]
    Retrieving package ruby2.5-2.5.8-4.11.1.x86_64                                                                                                                                                                                             (2/3), 309.1 KiB (  1.4 MiB unpacked)
    Retrieving delta: ./x86_64/ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 26.3 KiB
    Retrieving: ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...[done]
    Applying delta: ./ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ....................................................................................................[done]
    Retrieving package ruby2.5-stdlib-2.5.8-4.11.1.x86_64                                                                                                                                                                                      (3/3),   2.9 MiB ( 11.9 MiB unpacked)
    Retrieving delta: ./x86_64/ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 326.1 KiB
    Retrieving: ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...................................................................................................[done]
    Applying delta: ./ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm .............................................................................................[done]
    
    Checking for file conflicts: ..............................[error]
    Detected 8 file conflicts:
    
    File /usr/bin/erb
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/gem
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/irb
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/ruby
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/erb.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/irb.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/ri.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/ruby.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
    Continue? [yes/no] (no):
    
  • malcolmlewismalcolmlewis Knowledge Partner
    I am sorry for the misunderstanding. I was never talking I am running it on a SLES 12.5 - I was talking about the fact I upgraded SLES 12.5 to 15.1 and therefore 15.1 is the system I have.

    Below the results for your question. Also, another 8 new conflicts appear. I don't know but it looks like SUSE has an issue in their repositories. Should I continue as asked at the end?
    2020-04-15 14:55:29 root@AAEB-DEV203LD:~ => uname -a
    Linux AAEB-DEV203LD 4.12.14-197.37-default #1 SMP Fri Mar 20 14:56:51 UTC 2020 (e98f980) x86_64 x86_64 x86_64 GNU/Linux
    2020-04-15 14:55:33 root@AAEB-DEV203LD:~ => zypper ref -f
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-basesystem' metadata .....[done]
    Forcing building of repository cache
    Building repository 'sle-module-basesystem' cache ..........[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Pool' metadata .................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Basesystem15-SP1-Pool' cache ......................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Updates' metadata ..............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Basesystem15-SP1-Updates' cache ...................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-desktop-applications' metadata ..................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-desktop-applications' cache [done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-development-tools' metadata .....................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-development-tools' cache ...[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Public-Cloud15-SP1-Pool' metadata ...............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Public-Cloud15-SP1-Pool' cache ....................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Public-Cloud15-SP1-Updates' metadata ............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Public-Cloud15-SP1-Updates' cache .................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Product-SLES15-SP1-Pool' metadata ......................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Product-SLES15-SP1-Pool' cache ....[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Product-SLES15-SP1-Updates' metadata ...................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Product-SLES15-SP1-Updates' cache .[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Packagehub-Subpackages15-SP1-Pool' metadata .....................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Packagehub-Subpackages15-SP1-Pool' cache ..........................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Packagehub-Subpackages15-SP1-Updates' metadata ..................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Packagehub-Subpackages15-SP1-Updates' cache .......................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SUSE-PackageHub-15-SP1-Backports-Pool' metadata ............................................................................................[done]
    Forcing building of repository cache
    Building repository 'SUSE-PackageHub-15-SP1-Backports-Pool' cache .................................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SUSE-PackageHub-15-SP1-Pool' metadata ......................................................................................................[done]
    Forcing building of repository cache
    Building repository 'SUSE-PackageHub-15-SP1-Pool' cache ....[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-server-applications' metadata ...................................................................................................[done]
    Forcing building of repository cache
    Building repository 'sle-module-server-applications' cache .[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Pool' metadata ........................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Server-Applications15-SP1-Pool' cache .............................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Updates' metadata .....................................................................................[done]
    Forcing building of repository cache
    Building repository 'SLE-Module-Server-Applications15-SP1-Updates' cache ..........................................................................................[done]
    Forcing raw metadata refresh
    Retrieving repository 'sle-module-web-scripting' metadata ..[done]
    Forcing building of repository cache
    Building repository 'sle-module-web-scripting' cache .......[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL Connectors Community' metadata [done]
    Forcing building of repository cache
    Building repository 'MySQL Connectors Community' cache .....[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL Tools Community' metadata .....[done]
    Forcing building of repository cache
    Building repository 'MySQL Tools Community' cache ..........[done]
    Forcing raw metadata refresh
    Retrieving repository 'MySQL 8.0 Community Server' metadata [done]
    Forcing building of repository cache
    Building repository 'MySQL 8.0 Community Server' cache .....[done]
    All repositories have been refreshed.
    2020-04-15 14:55:56 root@AAEB-DEV203LD:~ => zypper up -t patch
    Refreshing service 'Basesystem_Module_15_SP1_x86_64'.
    Refreshing service 'Public_Cloud_Module_15_SP1_x86_64'.
    Refreshing service 'SUSE_Linux_Enterprise_Server_15_SP1_x86_64'.
    Refreshing service 'SUSE_Package_Hub_15_SP1_x86_64'.
    Refreshing service 'Server_Applications_Module_15_SP1_x86_64'.
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following NEW patch is going to be installed:
      SUSE-SLE-Module-Basesystem-15-SP1-2020-995
    
    The following 3 packages are going to be upgraded:
      libruby2_5-2_5 ruby2.5 ruby2.5-stdlib
    
    3 packages to upgrade.
    Overall download size: 4.1 MiB. Already cached: 0 B. After the operation, additional 19.9 KiB will be used.
    Continue? [y/n/v/...? shows all options] (y): y
    Retrieving package libruby2_5-2_5-2.5.8-4.11.1.x86_64                                                                                                                                                                                      (1/3), 939.0 KiB (  2.7 MiB unpacked)
    Retrieving delta: ./x86_64/libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 76.7 KiB
    Retrieving: libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...................................................................................................[done]
    Applying delta: ./libruby2_5-2_5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm .............................................................................................[done]
    Retrieving package ruby2.5-2.5.8-4.11.1.x86_64                                                                                                                                                                                             (2/3), 309.1 KiB (  1.4 MiB unpacked)
    Retrieving delta: ./x86_64/ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 26.3 KiB
    Retrieving: ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...[done]
    Applying delta: ./ruby2.5-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ....................................................................................................[done]
    Retrieving package ruby2.5-stdlib-2.5.8-4.11.1.x86_64                                                                                                                                                                                      (3/3),   2.9 MiB ( 11.9 MiB unpacked)
    Retrieving delta: ./x86_64/ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm, 326.1 KiB
    Retrieving: ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm ...................................................................................................[done]
    Applying delta: ./ruby2.5-stdlib-2.5.7_2.5.8-4.8.1_4.11.1.x86_64.drpm .............................................................................................[done]
    
    Checking for file conflicts: ..............................[error]
    Detected 8 file conflicts:
    
    File /usr/bin/erb
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/gem
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/irb
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/bin/ruby
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/erb.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/irb.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/ri.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File /usr/share/man/man1/ruby.1.gz
      from install of
         ruby2.5-2.5.8-4.11.1.x86_64 (SLE-Module-Basesystem15-SP1-Updates)
      conflicts with file from package
         ruby2.1-2.1.9-18.1.x86_64 (@System)
    
    File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
    Continue? [yes/no] (no):
    
    Hi
    Likely leftovers from the upgrade since they are all @System (No active or repository present), be interesting to see what the output from a zypper -vvv dup generates. In any case it should be fine to let them over write and get back to having an active repository.
  • VargaPeterVargaPeter Established Member
    Hi
    Likely leftovers from the upgrade since they are all @System (No active or repository present), be interesting to see what the output from a zypper -vvv dup generates. In any case it should be fine to let them over write and get back to having an active repository.

    Below the anonymized dump from zypper -vvv dup.

    I summarize the below dump:
    1. There are few "not found" modules in media.1
    2. There are 17 problems with installed packages
    3. I cancelled it for the moment.

    I repeat myself: I upgraded this VM from SLES 12.5 to 15.1 through the offline installer as I did this for other 3 VM and they don't have these issues.

    Thank you for your support!
    Verbosity: 3
    Initializing Target
    Refreshing service 'Basesystem_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1757/repo/repoindex.xml?cookies=0&credentials=Basesystem_Module_15_SP1_x86_64 ............................................[done]
    Refreshing service 'Public_Cloud_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1793/repo/repoindex.xml?cookies=0&credentials=Public_Cloud_Module_15_SP1_x86_64 ..........................................[done]
    Refreshing service 'SUSE_Linux_Enterprise_Server_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1748/repo/repoindex.xml?cookies=0&credentials=SUSE_Linux_Enterprise_Server_15_SP1_x86_64 .................................[done]
    Refreshing service 'SUSE_Package_Hub_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1856/repo/repoindex.xml?cookies=0&credentials=SUSE_Package_Hub_15_SP1_x86_64 .............................................[done]
    Refreshing service 'Server_Applications_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1765/repo/repoindex.xml?cookies=0&credentials=Server_Applications_Module_15_SP1_x86_64 ...................................[done]
    Checking whether to refresh metadata for SLE-Module-Basesystem15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml?Da-AAA-BBB-CCC-DDD .......................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/media.1/media?Da-AAA-BBB-CCC-DDD ........................................[not found]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml.asc?Da-AAA-BBB-CCC-DDD ...................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml.key?Da-AAA-BBB-CCC-DDD ...................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml?Da-AAA-BBB-CCC-DDD .......................................[done]
      Repository:       SLE-Module-Basesystem15-SP1-Updates
      Key Name:         SuSE Package Signing Key <build@suse.de>
      Key Fingerprint:  FEAB5025 39D846DB 2C0961CA 70AF9E81 39DB7C82
      Key Created:      Wed Dec  7 11:57:35 2016
      Key Expires:      Sun Dec  6 11:57:35 2020
      Rpm Name:         gpg-pubkey-39db7c82-5847eb1f
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***primary.xml.gz?Da-AAA-BBB-EEE[done (4.2 MiB/s)]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-deltainfo.xml.gz?Da-AAA-BBB-EEEFFFs[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-susedata.xml.gz?Da-AAA-BBB-EEEFFFs5[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-updateinfo.xml.gz?Da-AAA-BBB-EEEFFF[done]
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Updates' metadata ......................................................................................................[done]
    Building repository 'SLE-Module-Basesystem15-SP1-Updates' cache ...........................................................................................................[done]
    Checking whether to refresh metadata for SLE-Module-Public-Cloud15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Public-Cloud/15-SP1/x86_64/update/repodata/repomd.xml?Cwz-***-***-*** ........................................[done]
    Checking whether to refresh metadata for SLE-Product-SLES15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Product-SLES/15-SP1/x86_64/update/repodata/repomd.xml?***-***-***-*** ...............................................[done]
    Checking whether to refresh metadata for SLE-Module-Packagehub-Subpackages15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Packagehub-Subpackages/15-SP1/x86_64/update/repodata/repomd.xml?***-***-***-F8ETw ............................[done]
    Checking whether to refresh metadata for SLE-Module-Server-Applications15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml?GGG-HHH-III-JJJ-KKK-LLL .........................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/media.1/media?GGG-HHH-III-JJJ-KKK-LLL ..........................[not found]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml.asc?GGG-HHH-III-JJJ-KKK-LLL .....................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml.key?GGG-HHH-III-JJJ-KKK-LLL .....................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml?GGG-HHH-III-JJJ-KKK-LLL .........................[done]
      Repository:       SLE-Module-Server-Applications15-SP1-Updates
      Key Name:         SuSE Package Signing Key <build@suse.de>
      Key Fingerprint:  FEAB5025 39D846DB 2C0961CA 70AF9E81 39DB7C82
      Key Created:      Wed Dec  7 11:57:35 2016
      Key Expires:      Sun Dec  6 11:57:35 2020
      Rpm Name:         gpg-pubkey-39db7c82-5847eb1f
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-primary.xml.gz?GGG-HHH-III-JJJ[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-deltainfo.xml.gz?GGG-HHH-III-MMM[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-susedata.xml.gz?GGG-HHH-III-MMM2[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-updateinfo.xml.gz?GGG-HHH-III-***[done]
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Updates' metadata .............................................................................................[done]
    Building repository 'SLE-Module-Server-Applications15-SP1-Updates' cache ..................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue.
    See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    Force resolution: No
    Computing upgrade...
    17 Problems:
    Problem: problem with installed package python3-mock-2.0.0-lp151.4.3.noarch
    Problem: problem with installed package SuSEfirewall2-3.6.312.333-3.13.1.noarch
    Problem: problem with installed package bitmap-1.0.7-1.62.x86_64
    Problem: problem with installed package finger-1.3-163.62.x86_64
    Problem: problem with installed package inst-source-utils-2016.7.26-6.1.noarch
    Problem: problem with installed package joe-3.7-28.141.x86_64
    Problem: problem with installed package libadns1-1.4-101.65.x86_64
    Problem: problem with installed package libdvdnav4-4.2.0-8.51.x86_64
    Problem: problem with installed package libftgl2-2.1.2.99.5-31.96.x86_64
    Problem: problem with installed package libgmime-2_6-0-2.6.20-3.3.x86_64
    Problem: problem with installed package libmozjs-17_0-17.0-13.2.x86_64
    Problem: problem with installed package libreadline6-6.3-83.23.1.x86_64
    Problem: problem with installed package libzvbi0-0.2.35-1.219.x86_64
    Problem: problem with installed package listres-1.0.3-1.15.x86_64
    Problem: problem with installed package mingetty-1.0.8s-19.63.x86_64
    Problem: problem with installed package xf86-input-void-1.4.1-15.30.x86_64
    Problem: problem with installed package yast2-metapackage-handler-3.1.4-3.3.noarch
    
    Problem: problem with installed package python3-mock-2.0.0-lp151.4.3.noarch
     Solution 1: install python3-mock-2.0.0-3.18.noarch (with vendor change)
      openSUSE  -->  SUSE LLC <https://www.suse.com/>
     Solution 2: keep obsolete python3-mock-2.0.0-lp151.4.3.noarch
    
    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c/d/?] (c):
    
  • malcolmlewismalcolmlewis Knowledge Partner
    Below the anonymized dump from zypper -vvv dup.

    I summarize the below dump:
    1. There are few "not found" modules in media.1
    2. There are 17 problems with installed packages
    3. I cancelled it for the moment.

    I repeat myself: I upgraded this VM from SLES 12.5 to 15.1 through the offline installer as I did this for other 3 VM and they don't have these issues.

    Thank you for your support!
    Verbosity: 3
    Initializing Target
    Refreshing service 'Basesystem_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1757/repo/repoindex.xml?cookies=0&credentials=Basesystem_Module_15_SP1_x86_64 ............................................[done]
    Refreshing service 'Public_Cloud_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1793/repo/repoindex.xml?cookies=0&credentials=Public_Cloud_Module_15_SP1_x86_64 ..........................................[done]
    Refreshing service 'SUSE_Linux_Enterprise_Server_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1748/repo/repoindex.xml?cookies=0&credentials=SUSE_Linux_Enterprise_Server_15_SP1_x86_64 .................................[done]
    Refreshing service 'SUSE_Package_Hub_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1856/repo/repoindex.xml?cookies=0&credentials=SUSE_Package_Hub_15_SP1_x86_64 .............................................[done]
    Refreshing service 'Server_Applications_Module_15_SP1_x86_64'.
    Retrieving: https://scc.suse.com/access/services/1765/repo/repoindex.xml?cookies=0&credentials=Server_Applications_Module_15_SP1_x86_64 ...................................[done]
    Checking whether to refresh metadata for SLE-Module-Basesystem15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml?Da-AAA-BBB-CCC-DDD .......................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/media.1/media?Da-AAA-BBB-CCC-DDD ........................................[not found]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml.asc?Da-AAA-BBB-CCC-DDD ...................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml.key?Da-AAA-BBB-CCC-DDD ...................................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/repomd.xml?Da-AAA-BBB-CCC-DDD .......................................[done]
      Repository:       SLE-Module-Basesystem15-SP1-Updates
      Key Name:         SuSE Package Signing Key <build@suse.de>
      Key Fingerprint:  FEAB5025 39D846DB 2C0961CA 70AF9E81 39DB7C82
      Key Created:      Wed Dec  7 11:57:35 2016
      Key Expires:      Sun Dec  6 11:57:35 2020
      Rpm Name:         gpg-pubkey-39db7c82-5847eb1f
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***primary.xml.gz?Da-AAA-BBB-EEE[done (4.2 MiB/s)]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-deltainfo.xml.gz?Da-AAA-BBB-EEEFFFs[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-susedata.xml.gz?Da-AAA-BBB-EEEFFFs5[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Basesystem/15-SP1/x86_64/update/repodata/***-updateinfo.xml.gz?Da-AAA-BBB-EEEFFF[done]
    Retrieving repository 'SLE-Module-Basesystem15-SP1-Updates' metadata ......................................................................................................[done]
    Building repository 'SLE-Module-Basesystem15-SP1-Updates' cache ...........................................................................................................[done]
    Checking whether to refresh metadata for SLE-Module-Public-Cloud15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Public-Cloud/15-SP1/x86_64/update/repodata/repomd.xml?Cwz-***-***-*** ........................................[done]
    Checking whether to refresh metadata for SLE-Product-SLES15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Product-SLES/15-SP1/x86_64/update/repodata/repomd.xml?***-***-***-*** ...............................................[done]
    Checking whether to refresh metadata for SLE-Module-Packagehub-Subpackages15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Packagehub-Subpackages/15-SP1/x86_64/update/repodata/repomd.xml?***-***-***-F8ETw ............................[done]
    Checking whether to refresh metadata for SLE-Module-Server-Applications15-SP1-Updates
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml?GGG-HHH-III-JJJ-KKK-LLL .........................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/media.1/media?GGG-HHH-III-JJJ-KKK-LLL ..........................[not found]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml.asc?GGG-HHH-III-JJJ-KKK-LLL .....................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml.key?GGG-HHH-III-JJJ-KKK-LLL .....................[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/repomd.xml?GGG-HHH-III-JJJ-KKK-LLL .........................[done]
      Repository:       SLE-Module-Server-Applications15-SP1-Updates
      Key Name:         SuSE Package Signing Key <build@suse.de>
      Key Fingerprint:  FEAB5025 39D846DB 2C0961CA 70AF9E81 39DB7C82
      Key Created:      Wed Dec  7 11:57:35 2016
      Key Expires:      Sun Dec  6 11:57:35 2020
      Rpm Name:         gpg-pubkey-39db7c82-5847eb1f
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-primary.xml.gz?GGG-HHH-III-JJJ[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-deltainfo.xml.gz?GGG-HHH-III-MMM[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-susedata.xml.gz?GGG-HHH-III-MMM2[done]
    Retrieving: https://updates.suse.com/SUSE/Updates/SLE-Module-Server-Applications/15-SP1/x86_64/update/repodata/***-updateinfo.xml.gz?GGG-HHH-III-***[done]
    Retrieving repository 'SLE-Module-Server-Applications15-SP1-Updates' metadata .............................................................................................[done]
    Building repository 'SLE-Module-Server-Applications15-SP1-Updates' cache ..................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue.
    See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    Force resolution: No
    Computing upgrade...
    17 Problems:
    Problem: problem with installed package python3-mock-2.0.0-lp151.4.3.noarch
    Problem: problem with installed package SuSEfirewall2-3.6.312.333-3.13.1.noarch
    Problem: problem with installed package bitmap-1.0.7-1.62.x86_64
    Problem: problem with installed package finger-1.3-163.62.x86_64
    Problem: problem with installed package inst-source-utils-2016.7.26-6.1.noarch
    Problem: problem with installed package joe-3.7-28.141.x86_64
    Problem: problem with installed package libadns1-1.4-101.65.x86_64
    Problem: problem with installed package libdvdnav4-4.2.0-8.51.x86_64
    Problem: problem with installed package libftgl2-2.1.2.99.5-31.96.x86_64
    Problem: problem with installed package libgmime-2_6-0-2.6.20-3.3.x86_64
    Problem: problem with installed package libmozjs-17_0-17.0-13.2.x86_64
    Problem: problem with installed package libreadline6-6.3-83.23.1.x86_64
    Problem: problem with installed package libzvbi0-0.2.35-1.219.x86_64
    Problem: problem with installed package listres-1.0.3-1.15.x86_64
    Problem: problem with installed package mingetty-1.0.8s-19.63.x86_64
    Problem: problem with installed package xf86-input-void-1.4.1-15.30.x86_64
    Problem: problem with installed package yast2-metapackage-handler-3.1.4-3.3.noarch
    
    Problem: problem with installed package python3-mock-2.0.0-lp151.4.3.noarch
     Solution 1: install python3-mock-2.0.0-3.18.noarch (with vendor change)
      openSUSE  -->  SUSE LLC <https://www.suse.com/>
     Solution 2: keep obsolete python3-mock-2.0.0-lp151.4.3.noarch
    
    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c/d/?] (c):
    
    Hi
    From the above list can you pick a couple and look at the zypper if eg zypper if mingetty I suspect it's @System, on another VM check if the package is installed and it's information and version.

    Do you have openSUSE repositories at this is a telling sign;
    openSUSE  -->  SUSE LLC <https://www.suse.com/>
    
Sign In or Register to comment.